#import <UIKit/UIKit.h>
#import <sqlite3.h>
#import "Tune.h"

@interface AppDelegate : NSObject <UIApplicationDelegate>
{
	IBOutlet UIWindow *window;
	IBOutlet UINavigationController *navigationController;
  NSMutableArray *tunes;
  sqlite3 *database;
}

@property (nonatomic, retain) NSMutableArray *tunes;

- (void)createEditableCopyOfDatabaseIfNeeded;
- (void)initializeDatabase;

- (IBAction)removeTune:(Tune *)tune;
- (void)addTune:(Tune *)tune;
- (void)deleteAllTunes;

- (IBAction) onImportTunes:(id)sender;

@end
