#import <UIKit/UIKit.h>

@class TuneViewController;

@interface MainViewController : UIViewController <UITableViewDelegate, UITableViewDataSource>
{
	NSMutableArray *menuList;
	IBOutlet UITableView *tableView;
	IBOutlet UISearchBar *searchBar;

	NSArray	*listContent;
	NSMutableArray *filteredListContent;
}

@property (nonatomic, retain) UITableView *tableView;
@property (nonatomic, retain) UISearchBar *searchBar;

@property (nonatomic, retain) NSArray *listContent;
@property (nonatomic, retain) NSMutableArray *filteredListContent;

- (void)databaseChanged:(id)sender;
- (IBAction)onSearch:(id)sender;
- (UITableViewCell *)tableviewCellWithReuseIdentifier:(NSString *)identifier;

@end
