#import <UIKit/UIKit.h>
#import "TuneView.h"

@class Tune;

@interface TuneViewController : UIViewController <UIScrollViewDelegate>
{
  UIScrollView *scrollView;
  IBOutlet UIView *mainView;
	TuneView *tuneView;
  Tune *tune;
  BOOL barsHidden;
  BOOL editing;
}

@property(retain) id<TuneViewDelegate> tuneViewDelegate;
@property(retain,readwrite) Tune *tune;

-(id)initWithTune:(Tune *)tune;

- (void)viewTapped:(id)sender;
- (void)viewDoubleTapped:(id)sender;
- (void)finishedPlaying:(id)sender;

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView;     // return a view that will be scaled. if delegate returns nil, nothing happens
- (void)scrollViewDidEndZooming:(UIScrollView *)scrollView withView:(UIView *)view atScale:(float)scale; // scale between minimum and maximum. called after any 'bounce' animations

@end
